***** Panel data regressions for revision of Persson, Roland, Tabellini
***** Electoral rules and government spending in parliamentary democracies
***** TP 061026

*****Here we produce columns 4-6 of Table 2 and columns 6-9 of Table 3

cap log close
clear
set memory 500m
set matsize 400
log using c:\res\newdata\panel61\output\legislatures_oct061028_tab2.smcl, replace

*use "C:\res\newdata\panel61\data\60panel_leg_short_oct2006.dta", clear
use "C:\res\newdata\panel61\program\prt\final_feb07\panel_feb07.dta", clear


cd c:\res\newdata\panel61\


tsset ctrycd leg_number

gen party_frag = mfragmentation/10000
gen district = mdistrict_magnitude/seat 


gen lparty_frag = L.party_frag
gen lcoalition = L.mcoalition
gen lsingleparty = L.msingleparty 
gen llast= l.last_cgexp

gen dmaj= d.mmaj
gen ddistrict= d.district
gen dthreshold =d.melectoral_threshold

tabulate period, generate(per)

****Here Table 2


* Column 4 -- Party fragmentation on features of electoral system

xtreg party_frag lparty_frag mmaj district mlpop mpolity_gt if mpres==0 & mdefault==1, fe i(ctrycd) robust 

***********

* Columns 5 and 6 -- Type of government on party fragmentation 

xtreg mcoalition party_frag  mlpop mpolity_gt lcoalition if mpres==0 & mdefault==1, fe i(ctrycd) robust
xtreg msingle party_frag mlpop mpolity_gt lsingle if mpres==0 & mdefault==1, fe i(ctrycd) robust



******Here Table 3


***** Columns 6 and 7 -- Spending on type of government 


xtreg last_cgexp  mcoalition  mprop65 mygap llast mlpop leg_length_cgexp   per1-per6  if mpres==0 & mdefault==1, fe i(ctrycd) robust 
xtreg last_cgexp  msingle   mprop65 mygap llast mlpop leg_length_cgexp   per1-per6 if mpres==0 & mdefault==1, fe i(ctrycd)  robust





**********
********

* Columns 8 and 9 -- Spending on endogenous type of government GMM/IV 


xtabond last_cgexp mprop65 mygap mlpop leg_length_cgexp  per1-per6 if mpres==0 & mdefault==1, maxldep(1) maxlags(1) pre(mcoalition, endogenous) inst(dmaj ddistrict dthreshold) robust
xtabond last_cgexp mprop65 mygap mlpop leg_length_cgexp  per1-per6 if mpres==0 & mdefault==1, maxldep(1) maxlags(1) pre(mcoalition, endogenous) inst(dmaj ddistrict dthreshold) twostep 



xtabond last_cgexp mprop65 mygap mlpop leg_length_cgexp  per1-per6 if mpres==0 & mdefault==1, maxldep(1) maxlags(1) pre(msingle, endogenous) inst(dmaj ddistrict dthreshold) robust
xtabond last_cgexp mprop65 mygap mlpop leg_length_cgexp  per1-per6 if mpres==0 & mdefault==1, maxldep(1) maxlags(1) pre(msingle, endogenous) inst(dmaj ddistrict dthreshold) twostep 


log close
*clear
 
