cap log close
clear

****this file produces the cross-sectional regressions in Table 3, namely column 1-5
****It also produces Figure 1

*use "C:\res\newdata\crossec86\data\85crossMerged_13jun.dta", clear
use "C:\res\newdata\crossec86\program\prt\final\feb07\final_data_cross_feb07.dta", clear

cd c:\res\newdata\crossec86\

log using output\stata\FirstTest_short.smcl, replace


gen party_frag = fragmentation/10000
gen district_gt = district_magnitude / seats

****column 1

reg cgexp lyp trade prop65 federal avelf col_uka  maj district_gt if pres==0 & coalition !=. , robust  

*****Figure 1
******produce the residuals with graph
reg cgexp lyp trade prop65 federal avelf col_uka  if pres==0 & coalition !=. , robust  
predict Spending if e(sample), r

reg coalition lyp trade prop65 federal avelf col_uka  if pres==0 & cgexp !=. , robust  
predict Coalition if e(sample), r

reg Spending coalition

twoway (scatter Spending Coalition, msymbol(diamond) mcolor(red) msize(medsmall)) /*
*/ (lfit Spending Coalition, range(-0.6 0.7) lcolor(blue)), ytitle(Government spending % of GDP) /*
*/ yscale(range(-15.0 15.0)) ylabel(-10(10)10) xtitle(Coaltion government) xscale(range(-0.7 0.8)) /*
*/ xlabel(-0.5(0.5)0.5) title(Government spending and coalition government) subtitle(46 parlamentary/*
*/ democracies in the 1990s) legend(off)

******column 2
ivreg2 cgexp lyp trade prop65 federal avelf col_uka (coalition =  maj district_gt )  if pres==0, robust first 

***column 3
ivreg2 cgexp lyp trade prop65 federal avelf col_uka  (single =  maj district_gt )  if pres==0, robust first 

****column 4
ivreg2 cgexp lyp trade prop65 federal avelf col_uka maj (coalition =  district_gt )  if pres==0, robust first 

****column 5
ivreg2 cgexp lyp trade prop65 federal avelf col_uka district_gt  (coalition =  maj )  if pres==0, robust first 



log close
